# Privacy Preserving Deep Learning with PyTorch, PySyft & PyGrid

In this step-by-step tutorial series, you'll learn how PyGrid can be used to bring privacy and decentralization to a more realistic scenario (i.e., when data lives in a completely isolated environment). This tutorial series is continually updated with new features as they are implemented, and is designed for complete beginners.

These tutorials are organized as follows:

- **/getting-started** - Go here if you have never heard about PyGrid, you'll learn the basics concepts (_coming soon_) .
- **/data-centric** - Go here if you want to use PyGrid platform from a data-centric perspective. See this [link](https://github.com/OpenMined/PyGrid#data-centric-fl) for more detail (_in progress_).
- **/model-centric** - Go here if you want to use PyGrid platform from a model-centric perspective. See this [link](http://github.com/OpenMined/PySyft/tree/dev/examples/federated-learning) for more detail (_coming soon_).

## Running the examples

Make sure you have [PySyft](https://github.com/OpenMined/PySyft#installation) and [docker-compose](https://docs.docker.com/compose/install/) installed.
If you already have these requirements installed, just clone this repo and run **`docker-compose up`** from root PyGrid folder. Notebooks can be run from [Jupyter Notebook](https://jupyter.readthedocs.io/en/latest/running.html).

If you want, you can create your own `docker-compose` files using built in images from [docker-hub](https://hub.docker.com/u/openmined).

And don't forget to star PyGrid on GitHub [https://github.com/OpenMined/PyGrid](https://github.com/OpenMined/PyGrid)!
